# -*- coding: utf-8 -*-

import json
# import psycopg2

from src.saga_mark.check_saga_mark import check_saga_mark

involved_model_keys = [
    'id',
    'floor_name',
    'project_id',
    'folder_id',
    'fid',
    'accept_time',
    'version',
    'note',
    'user_id',
    'user_name',
    'log',
    'url',
    'md5',
    'status'
]

level_keys = [
    'id',
    'model_id',
    'name',
    'elevation',
    'last_update',
    'create_time',
    'type',
    'revit_id',
    'source_id',
]
def get_data(sql):
    global connection, cursor
    record = []
    try:
        connection = psycopg2.connect(
            database='datacenter',
            user='postgres',
            password='123456',
            host='192.168.20.234',
            port='5432'
        )
        cursor = connection.cursor()
        cursor.execute(sql)
        record = cursor.fetchall()
    except (Exception, psycopg2.Error) as error:
        print("Error while connecting to PostgreSQL", error)
    finally:
        if connection:
            cursor.close()
            connection.close()
            print('PostgreSQL connection is closed')

    return record


def loads(x):
    x['location'] = json.loads(x['location'])
    return x


def loads_curve(x):
    x['curve'] = json.loads(x['curve'])
    return x


if __name__ == '__main__':
    list = ['a', 'b']
    for i in range(0, len(list)):
        print(list[i])

    map = {}
    map['a'] = None
    print(map['a'])
