import sys
sys.path.append("../../..")
from relations.src.system_relation import systemutils, graph_model, systemdatautils,systemgraph_display

from cffi import FFI
if '__main__'==__name__:
	project_id="Pj1101010015"
	system_name="冷冻水供水管"
	domain="DomainPiping"
	building_id = 'Bd11010100153c05821ed8fd11e9b8f2d79d0a5b4bf6'
	models= systemdatautils.get_project_models(project_id,building_id)
	floorgraphs=[]
	for model in models:
		floor_connectors = systemdatautils.get_connectors_data(model.model_id, system_name, domain)
		floor_elements = systemdatautils.get_element_data(model.model_id)
		g = graph_model.FloorGraph(model, system_name, domain, floor_connectors, floor_elements)
		g.get_floor_graphs()
		floorgraphs.append(g)
	projectgraph= graph_model.combine_systemgraph(project_id,floorgraphs)
	systemdatautils.save_project_data(projectgraph,system_name,domain,building_id)
	systemgraph_display.show_project(projectgraph)
